#include "Disparo.h"
#include <stdlib.h>
#include <SDL/SDL.h>

Disparo::Disparo(int x, int y, int vel, int direc, char * path)
{
	posicion.x = x;
	posicion.y = y;
	imagen = SDL_LoadBMP(path);
	SDL_SetColorKey(imagen,SDL_SRCCOLORKEY,0xFFFFFF);
	speedX = vel;
	direccion = direc;
	if (imagen == NULL)
	{
		printf("Error ENORME al cargar disparo\n");
		exit(1);
	}
	posicion.w = imagen->w;
	posicion.h = imagen->h;
	
}

Disparo::~Disparo()
{
	SDL_FreeSurface(imagen);
}

void Disparo::Actualizar(float time)
{
	posicion.x += speedX*direccion*time;
}
